# rust-chacha20poly1305.spec
# Generated by rust2rpm 20
%bcond_with check
%global debug_package %{nil}

%global crate chacha20poly1305

Name:           rust-%{crate}
Version:        0.9.0
Release:        1%{?dist}.1
Summary:        Pure Rust implementation of the ChaCha20Poly1305 Authenticated Encryption with Additional Data Cipher (RFC 8439) with optional architecture-specific hardware acceleration

# Upstream license specification: Apache-2.0 OR MIT
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/chacha20poly1305
Source:         https://crates.io/api/v1/crates/%crate/%version/download#/%crate-%version.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(aead) >= 0.4.0 with crate(aead) < 0.5.0~)
BuildRequires:  (crate(aead/alloc) >= 0.4.0 with crate(aead/alloc) < 0.5.0~)
BuildRequires:  (crate(chacha20/default) >= 0.8.0 with crate(chacha20/default) < 0.9.0~)
BuildRequires:  (crate(chacha20/zeroize) >= 0.8.0 with crate(chacha20/zeroize) < 0.9.0~)
BuildRequires:  (crate(cipher/default) >= 0.3.0 with crate(cipher/default) < 0.4.0~)
BuildRequires:  (crate(poly1305/default) >= 0.7.0 with crate(poly1305/default) < 0.8.0~)
BuildRequires:  (crate(zeroize) >= 1.0.0 with crate(zeroize) < 1.5.0~)
%if %{with check}
BuildRequires:  (crate(aead/dev) >= 0.4.0 with crate(aead/dev) < 0.5.0~)
%endif

%global _description %{expand:
Pure Rust implementation of the ChaCha20Poly1305 Authenticated Encryption with
Additional Data Cipher (RFC 8439) with optional architecture-specific hardware
acceleration. Also contains implementations of the XChaCha20Poly1305 extended
nonce variant of ChaCha20Poly1305, and the reduced-round ChaCha8Poly1305 and
ChaCha12Poly1305 lightweight variants.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc CHANGELOG.md README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+force-soft-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+force-soft-devel %{_description}

This package contains library source intended for building other packages which
use the "force-soft" feature of the "%{crate}" crate.

%files       -n %{name}+force-soft-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+heapless-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+heapless-devel %{_description}

This package contains library source intended for building other packages which
use the "heapless" feature of the "%{crate}" crate.

%files       -n %{name}+heapless-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+reduced-round-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+reduced-round-devel %{_description}

This package contains library source intended for building other packages which
use the "reduced-round" feature of the "%{crate}" crate.

%files       -n %{name}+reduced-round-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+stream-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+stream-devel %{_description}

This package contains library source intended for building other packages which
use the "stream" feature of the "%{crate}" crate.

%files       -n %{name}+stream-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Feb  6 2022 Oleg Girko <ol@infoserver.lv> - 0.9.0-1
- Update to 0.9.0
* Thu Jul 15 2021 Oleg Girko <ol@infoserver.lv> - 0.8.0-1
- Initial package
